Loading...
Searching...
No Matches
apr_anylock_t Struct Reference

`#include <apr_anylock.h>`

Collaboration diagram for apr_anylock_t:
[legend]

## Data Structures

union | apr_anylock_u_t

## Public Types

enum | tm_lock { apr_anylock_none , apr_anylock_procmutex , apr_anylock_threadmutex , apr_anylock_readlock , apr_anylock_writelock }

## Data Fields

enum apr_anylock_t::tm_lock | type
union apr_anylock_t::apr_anylock_u_t | lock

## Detailed Description

Structure that may contain any APR lock type

## Member Enumeration Documentation

## tm_lock

enum apr_anylock_t::tm_lock

Indicates what type of lock is in lock

Enumerator
apr_anylock_none | None
apr_anylock_procmutex | Process-based
apr_anylock_threadmutex | Thread-based
apr_anylock_readlock | Read lock
apr_anylock_writelock | Write lock

The documentation for this struct was generated from the following file:

- apr_anylock.h